• Falha na Biblioteca GnuTLS Favorece Ataques do Tipo Man-in-the-Middle

    Um erro de criptografia considerado crítico, semelhante ao recentemente descoberto nos sistemas iOS e OS X, foi descoberto na biblioteca de códigos GnuTLS, que é amplamente utilizada em software de código aberto e distribuições Linux. "A biblioteca GnuTLS fornece suporte para algoritmos de criptografia e de protocolos, como o Transport Layer Security (TLS). Além disso, foi descoberto que GnuTLS não conseguia lidar corretamente com certos erros que podem ocorrer, durante a verificação de um certificado X.509, fazendo-a relatar, incorretamente, uma verificação bem sucedida.



    Essa explicação foi divulgada pela equipe de segurança da Red Hat, a partir de um comunicado de segurança anunciando o lançamento de uma atualização que resolve o problema. "Um invasor pode usar esta falha para criar um certificado especial, que pode ser aceito por GnuTLS como válido para um local escolhido pelo atacante (CVE-2014-0092)". A falha foi descoberta por Nikos Mavrogiannopoulos, do Security Technologies Team da Red Hat, durante um processo de auditoria.


    Saiba Mais:

    [1] Net Security http://www.net-security.org/secworld.php?id=16478

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L